org.mariadb.jdbc.internal.queryresults

## Interface MultiExecutionResult

All Superinterfaces:
  ExecutionResult

All Known Implementing Classes:
  MultiFixedIntExecutionResult, MultiVariableIntExecutionResult

    public interface MultiExecutionResult
    extends ExecutionResult

### Method Summary

All Methods Instance Methods Abstract Methods
`int[]` `getAffectedRows()`
`int` `getFirstAffectedRows()`
`void` `updateResultsForRewrite(int waitedSize, boolean hasException)`
`void` `updateResultsMultiple(int waitedSize, boolean hasException)`

### Methods inherited from interface org.mariadb.jdbc.internal.queryresults.ExecutionResult

`addResultSet, addStats, close, getCachedExecutionResults, getFetchSize, getInsertIds, getResultSet, getStatement, hasMoreResultAvailable, hasMoreThanOneAffectedRows, isCanHaveCallableResultset, isSelectPossible, isSingleExecutionResult, setFetchSize`

### Method Detail

#### updateResultsForRewrite

    void updateResultsForRewrite(int waitedSize,
                                 boolean hasException)

#### updateResultsMultiple

    void updateResultsMultiple(int waitedSize,
                               boolean hasException)

#### getAffectedRows

    int[] getAffectedRows()

#### getFirstAffectedRows

    int getFirstAffectedRows()

Specified by:
  `getFirstAffectedRows` in interface `ExecutionResult`